org.apache.hc.core5.net

## Class PercentCodec

- java.lang.Object
- - org.apache.hc.core5.net.PercentCodec

-     public class PercentCodec
      extends Object

  Percent-encoding.
  Since:
    5.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PercentCodec` | `RFC3986`
    `static PercentCodec` | `RFC5987`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PercentCodec()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decode(CharSequence content)`
    `static String` | `decode(CharSequence content, Charset charset)`
    `String` | `encode(CharSequence content)`
    `static String` | `encode(CharSequence content, Charset charset)`
    `void` | `encode(StringBuilder buf, CharSequence content)`
    `static void` | `encode(StringBuilder buf, CharSequence content, Charset charset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RFC3986

          public static final PercentCodec RFC3986

    - #### RFC5987

          public static final PercentCodec RFC5987

  - ### Constructor Detail

    - #### PercentCodec

          public PercentCodec()

  - ### Method Detail

    - #### encode

          public static void encode(StringBuilder buf,
                                    CharSequence content,
                                    Charset charset)

    - #### encode

          public static String encode(CharSequence content,
                                      Charset charset)

    - #### decode

          public static String decode(CharSequence content,
                                      Charset charset)

    - #### encode

          public void encode(StringBuilder buf,
                             CharSequence content)

      Since:
        5.3

    - #### encode

          public String encode(CharSequence content)

      Since:
        5.3

    - #### decode

          public String decode(CharSequence content)

      Since:
        5.3

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.